Method: customBiddingAlgorithms.uploadScript

  • This webpage provides details on how to create a custom bidding script reference object for a script file, which offers a resource path for uploading the script and should be included when creating a new custom bidding script object.

  • The process involves using a GET HTTP request with specific path and query parameters, where the path parameter identifies the custom bidding algorithm by ID, and the query parameters specify the owner (partner or advertiser) of the custom bidding algorithm.

  • The request body for creating this reference object must be empty, and a successful response will contain an instance of CustomBiddingScriptRef in the response body.

  • Authorization for this operation requires the https://www.googleapis.com/auth/display-video OAuth scope.

Creates a custom bidding script reference object for a script file.

The resulting reference object provides a resource path to which the script file should be uploaded. This reference object should be included in when creating a new custom bidding script object.

HTTP request

GET https://displayvideo.googleapis.com/v1beta2/customBiddingAlgorithms/{customBiddingAlgorithmId}:uploadScript

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
customBiddingAlgorithmId

string (int64 format)

Required. The ID of the custom bidding algorithm owns the script.

Query parameters

Parameters
Union parameter owner. Required. Identifies the DV360 entity that owns the parent custom bidding algorithm. It can be either a partner or an advertiser. owner can be only one of the following:
partnerId

string (int64 format)

The ID of the partner that owns the parent custom bidding algorithm.

Only this partner will have write access to this custom bidding script.

advertiserId

string (int64 format)

The ID of the advertiser that owns the parent custom bidding algorithm.

Request body

The request body must be empty.

Response body

If successful, the response body contains an instance of CustomBiddingScriptRef.

Authorization Scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/display-video

For more information, see the OAuth 2.0 Overview.